var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var F01212;
(function (F01212) {
    var TableRules = (function (_super) {
        __extends(TableRules, _super);
        function TableRules(document) {
            return _super.call(this, document) || this;
        }
        return TableRules;
    }(F01211.TableRules));
    F01212.TableRules = TableRules;
    var P4Sp3ObasTable = (function (_super) {
        __extends(P4Sp3ObasTable, _super);
        function P4Sp3ObasTable() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        P4Sp3ObasTable.prototype.GetPostKeyId = function () {
            return "Position_ID";
        };
        P4Sp3ObasTable.prototype.InitCopyFieldsInfo = function () {
            var result = new collections.Dictionary();
            result.setValue(this.PostKey.Id, {
                Id: this.PostKey.Id,
                IsData: false
            });
            result.setValue("PostCategory_ID", {
                Id: "PostCategory_ID",
                IsData: true
            });
            result.setValue(this.IsCopied.Id, {
                Id: this.IsCopied.Id,
                IsData: false
            });
            result.setValue(this.EmplCount.Id, {
                Id: this.EmplCount.Id,
                IsData: true
            });
            result.setValue("g2", {
                Id: "g2",
                IsData: true
            });
            result.setValue(this.Year.Id, {
                Id: this.Year.Id,
                IsData: true
            });
            for (var i = 4; i < 7; i++) {
                result.setValue("g" + i, {
                    Id: "g" + i,
                    IsData: true
                });
            }
            return result;
        };
        return P4Sp3ObasTable;
    }(F01211.P4Sp3ObasTable));
    F01212.P4Sp3ObasTable = P4Sp3ObasTable;
})(F01212 || (F01212 = {}));
